<?php
/* $Id: index.php 6941 2014-10-26 23:18:08Z daintree $*/
error_reporting(E_ALL & ~E_NOTICE);
$PageSecurity=0;
ob_start();
include('includes/session.inc');
$Title=_('ERP Home');
include('includes/newheader.php');

include('includes/SQL_CommonFunctions.inc');
include('includes/GetPaymentMethods.php');
include('includes/GetPrice.inc');
?>

		
  					
	<script src="angular/angular.min.js"></script>  
        
 
     
     
		

   
  
 									
									<?php
//this is where you paste. Below paste it:








	if (isset($_POST['transfer']) ){
		$entereddate = date("Y-m-d");
		$sqldate = $_POST['date'];
	
$yeardate = date('Y',strtotime($sqldate));
$monthdate =date('m',strtotime($sqldate));
$monthname =date('M',strtotime($sqldate)); 
	
	//$sdctime =  date("Y-m-d h:i:s a",$quotedated );
	    $query22 = "SELECT 
						periodno,
		             lastdate_in_period
		                
					  
		          FROM periods
				    WHERE YEAR(lastdate_in_period) = '" . $yeardate. "'
					AND MONTH(lastdate_in_period)  = '" . $monthdate. "'";
				
        $result22=DB_query($query22);
        $myrow22=DB_fetch_array($result22);
      
				$PeriodNo = $myrow22['periodno'];
		     	$data = $myrow22['lastdate_in_period'];	
				
	
		$userid = $_SESSION['UserID'];
		
$SQLuser = "SELECT email,realname
	               
			FROM www_users
			WHERE userid='" . $userid. "'
			";
	
			$resultuser = DB_query($SQLuser);
	
			$myrowuser = DB_fetch_array($resultuser) ;
		$emailm= $myrowuser['email'];
$realname= $myrowuser['realname'];
		
		$InvoiceNo = GetNextTransNo(24, $db);
		
		$SQL2 = "SELECT *
			FROM debtoraccount
			WHERE account_number='" . $_POST['account']. "'
			";
	
	$result2 = DB_query($SQL2);
	
	$myrow2 = DB_fetch_array($result2) ;
		
				$vipamount = $_POST['amount'];
		$vepamount = $_POST['amount'] /(1+ $_POST['vat']) ;
		
		$vat = $vipamount - $vepamount ;
		
		//from account will be deducted
		
		
	
		$SQLdebtor = "INSERT INTO debtortrans (transno,
									type,
									
								
									debtorno,
									trandate,
									inputdate,
									prd,
									settled,
									reference,
									tpe,
									rate,
									
									ovamount,
								    ovgst,
									
									invtext,
									account_number,
									department,
										entered_date,
									entered_by)
				VALUES (
					'" . $InvoiceNo. "',
					'24',
					
				
					'" . $_POST['customer']. "',
					
					'" . $_POST['date']. "',
					'" .  $_POST['date'] . "',
					
					'" . $PeriodNo . "',
					'0',
					'Account Transfer-Outwards',
					'DE',
					
					'1',
					
					
					'" . -$vepamount . "',
					'" . -$vat . "',
					'" . $_POST['remarks'] . "',
					'" . $_POST['account']. "',
					'" . $myrow2['departmentid']. "',
					'" . $entereddate . "',
					'" . $realname . "'
					)";
		$ErrMsg = _('Cannot insert a GL entry for the journal line because');
		$DbgMsg = _('The SQL that failed to insert the GL Trans record was');
		$result = DB_query($SQLdebtor,$ErrMsg,$DbgMsg,true);


	//to account will positive value
		
		$InvoiceNo1 = GetNextTransNo(24, $db);
		
		$SQL21 = "SELECT *
			FROM debtoraccount
			WHERE account_number='" . $_POST['account2']. "'
			";
	
	$result21 = DB_query($SQL21);
	
	$myrow21 = DB_fetch_array($result21) ;
		
		$SQLdebtor1 = "INSERT INTO debtortrans (transno,
									type,
									
								
									debtorno,
									trandate,
									inputdate,
									prd,
									settled,
									reference,
									tpe,
									rate,
									
									ovamount,
								   ovgst,
									
									invtext,
									account_number,
									department,
									entered_date,
									entered_by)
				VALUES (
					'" . $InvoiceNo1. "',
					'24',
					
				
					'" . $_POST['customer']. "',
					
					'" . $_POST['date']. "',
					'" .  $_POST['date'] . "',
					
					'" . $PeriodNo . "',
					'0',
					'Account Transfer-Inwards',
					'DE',
					
					'1',
					
					
					'" . $vepamount . "',
					'" . $vat . "',
					'" . $_POST['remarks'] . "',
					'" . $_POST['account2']. "',
					'" . $myrow21['departmentid']. "',
					'" . $entereddate . "',
					'" . $realname . "'
					)";
		$ErrMsg = _('Cannot insert a GL entry for the journal line because');
		$DbgMsg = _('The SQL that failed to insert the GL Trans record was');
		$result1 = DB_query($SQLdebtor1,$ErrMsg,$DbgMsg,true);

	unset($_POST['transfer']);
		
		echo "Successfully Transfered Funds from account ".$_POST['account']."-".$myrow2['billing_name']." to account ".$_POST['account2']."-".$myrow2['billing_name'];
		
		?>
<div class="row">
	<div class="col-sm-4">
 <a href="TransferBetweenAccount.php"> <img src="icons/createtransfer.png" alt="Sales"></a>
</div></div>
<?php
		
		
}
	
	else{
		
		
echo '<form method="post" action="' . htmlspecialchars($_SERVER['PHP_SELF'],ENT_QUOTES,'UTF-8') . '">';


echo '<p> Transfer betwen Customer account </p>';




	echo '<div class="col-sm-10">';// div class=?
	echo '<input type="hidden" name="FormID" value="' . $_SESSION['FormID'] . '" />';
echo '<table class="table">';
echo '<div>';


echo '<tr>
			<td>' ._('Date'). ':</td>
			<td><input  type="date" maxlength="10" size="15" required="required" name="date" /></td>
		</tr>';


	

echo '<tr>';
	?>
<td>Select Customer </td>
<td><select name="customer" required >;
							<?php
	
							$SQL = "SELECT 
											debtorno,
											name
		                            FROM debtorsmaster";

$result=DB_query($SQL);




//echo '<option value="0">0 - ' . _('None Available') . '</option>';
echo '<option value="0">' . _('Choose Customer') . '</option>';
while ($myrow=DB_fetch_array($result)){

	//check customer name and project name
	
	if (isset($_POST['customer']) AND $_POST['customer']==$myrow['debtorno']){
	    
		echo '<option selected="selected" value="' . $myrow['debtorno'] . '">' . $myrow['name'].' - ' .$myrow['debtorno']  .'</option>';
	} else {
			echo '<option value="' . $myrow['debtorno'] . '">' . $myrow['name'].' - ' .$myrow['debtorno'] .'</option>';
	}
	
	
	
}
echo '</select> ';



echo '</td></tr><tr>';

	
?>
<td>Select From Account </td>
<td><select name="account" required >;
							<?php
	
							
echo '</select> </td></tr><tr>';

	?>
<td>Select to Account </td>
<td><select name="account2" required >;
							<?php
	
							
echo '</select> </td></tr><tr>';
	
?>
<td>VIP Amount  </td>
<td><input type = "number" name="amount" required step=".01">;
							<?php
	
							
echo '</td></tr><tr>';	
	?>
		
<td>Vat included </td>
<td><select name="vat" required>
   
    <option value="0.125">12.5%</option>
    <option value="0.15">15%</option>
    <option value="0.09">9%</option>
  </select>
	
	
							<?php
	
							
echo '</td></tr><tr>';	
		?>
<td>Remarks/Comments  </td>
<td><input type = "text" name="remarks" required >;
							<?php
	
							
echo '</td></tr><tr>';	
echo '<td>';
	
	echo '<input type="submit"  name="transfer" value="' ._('Process') . '" />
		 </td></tr>
		';



echo '</div>';

echo '</div>';
	echo '</table>';
		
		
	}




			  
 	echo '</div >';
	?>
						

		
					</div>
				</div>
			</div>
					
					

						<!--end:: Widgets/Stats-->

						<!--Begin::Section-->
						

		<!-- end::Quick Sidebar -->

		<!-- begin::Scroll Top -->
		<div id="m_scroll_top" class="m-scroll-top">
			<i class="la la-arrow-up"></i>
		</div>

		<!-- end::Scroll Top -->

		<!-- begin::Quick Nav -->
		

		<!-- begin::Quick Nav -->
<script src="includes/vendors/owl.carousel/dist/owl.carousel.js" type="text/javascript"></script>

		<!--end::Page Scripts -->
	</body>

	<!-- end::Body -->
</html>
 
      
<?php



/*The module link codes are hard coded in a switch statement below to determine the options to show for each tab */
include('includes/MainMenuLinksArray.php');

if (isset($SupplierLogin) AND $SupplierLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=1">' . _('View or Amend outstanding offers') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=2">' . _('Create a new offer') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SupplierTenders.php?TenderType=3">' . _('View any open tenders without an offer') . '</a></p>
			</td>
			</tr>
		</table>';
	include('includes/footer.inc');
	exit;
} elseif (isset($CustomerLogin) AND $CustomerLogin==1){
	echo '<table class="table_index">
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/CustomerInquiry.php?CustomerID=' . $_SESSION['CustomerID'] . '">' . _('Account Status') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectOrderItems.php?NewOrder=Yes">' . _('Place An Order') . '</a></p>
			</td>
			</tr>
			<tr>
			<td class="menu_group_item">
				<p>&bull; <a href="' . $RootPath . '/SelectCompletedOrder.php?SelectedCustomer=' . $_SESSION['CustomerID'] . '">' . _('Order Status') . '</a></p>
			</td>
			</tr>
		</table>';

	include('includes/footer.inc');
	exit;
}

if (isset($_GET['Application'])){ /*This is sent by this page (to itself) when the user clicks on a tab */
	$_SESSION['Module'] = $_GET['Application'];
}








//include('includes/footer.inc');

function GetRptLinks($GroupID) {
/*
This function retrieves the reports given a certain group id as defined in /reports/admin/defaults.php
in the acssociative array $ReportGroups[]. It will fetch the reports belonging solely to the group
specified to create a list of links for insertion into a table to choose a report. Two table sections will
be generated, one for standard reports and the other for custom reports.
*/
	global $db, $RootPath, $ReportList;
	require_once('reportwriter/languages/en_US/reports.php');
	require_once('reportwriter/admin/defaults.php');
	$GroupID=$ReportList[$GroupID];
	$Title= array(_('Custom Reports'), _('Standard Reports and Forms'));

	$sql= "SELECT id,
				reporttype,
				defaultreport,
				groupname,
				reportname
			FROM reports
			ORDER BY groupname,
					reportname";
	$Result=DB_query($sql,'','',false,true);
	$ReportList = '';
	while ($Temp = DB_fetch_array($Result)) $ReportList[] = $Temp;

	$RptLinks = '';
	for ($Def=1; $Def>=0; $Def--) {
        $RptLinks .= '<li class="menu_group_headers">';
        $RptLinks .= '<b>' .  $Title[$Def] . '</b>';
        $RptLinks .= '</li>';
		$NoEntries = true;
		if ($ReportList) { // then there are reports to show, show by grouping
			foreach ($ReportList as $Report) {
				if ($Report['groupname']==$GroupID AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/ReportMaker.php?action=go&amp;reportid=' . $Report['id'] . '">' . _($Report['reportname']) . '</a></p>';
					$RptLinks .= '</li>';
					$NoEntries = false;
				}
			}
			// now fetch the form groups that are a part of this group (List after reports)
			$NoForms = true;
			foreach ($ReportList as $Report) {
				$Group=explode(':',$Report['groupname']); // break into main group and form group array
				if ($NoForms AND $Group[0]==$GroupID AND $Report['reporttype']=='frm' AND $Report['defaultreport']==$Def) {
                    $RptLinks .= '<li class="menu_group_item">';
					$RptLinks .= '<img src="' . $RootPath . '/css/' . $_SESSION['Theme'] . '/images/folders.gif" width="16" height="13" alt="" />&nbsp;';
					$RptLinks .= '<p>&bull; <a href="' . $RootPath . '/reportwriter/FormMaker.php?id=' . $Report['groupname'] . '"></p>';
					$RptLinks .= $FormGroups[$Report['groupname']] . '</a>';
					$RptLinks .= '</li>';
					$NoForms = false;
					$NoEntries = false;
				}
			}
		}
		if ($NoEntries) $RptLinks .= '<li class="menu_group_item">' . _('There are no reports to show!') . '</li>';
	}
	return $RptLinks;
}
	
?>
<!-- Modal HTML embedded directly into document -->
<div id="ex1" class="modal">
  <p>Thanks for clicking. That felt good.</p>
  <a href="#" rel="modal:close">Close</a>
</div>


<!-- Modal -->
 <div class="modal fade" id="getCodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
   <div class="modal-dialog modal-lg">
      <div class="modal-content">
       <div class="modal-header">
         <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
         <h4 class="modal-title" id="myModalLabel"> API CODE </h4>
       </div>
       <div class="modal-body" id="getCode" style="overflow-x: scroll;">
       
          
          
       </div>
    </div>
   </div>
 </div>
<script>
jQuery(document).ready(function($){

   
		$( "select[name='customer']" ).change(function () {
    var debtorno = $(this).val();


    if(debtorno) {

		

        $.ajax({
            url: "debtors/transferbetweenaccount.php",
            dataType: 'Json',
            data: {'id':debtorno},
            success: function(data) {
                $('select[name="account"]').empty();
				 $('select[name="account2"]').empty();
                $.each(data, function(key, value) {
                    $('select[name="account"]').append('<option value="'+ key +'">'+ value +'</option>');
					   $('select[name="account2"]').append('<option value="'+ key +'">'+ value +'</option>');
                });
            }
        });


    }
	
		
});
	

	
	
	
   }); 
	
	

	
	
		
		

	
	
</script>


<script type="text/javascript">
jQuery(document).on("ready xcrudafterrequest",function(){
    
});
</script>